<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Plugins/PluginBase/PluginDayzPlayerDebug_OtherCmds.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PluginDayzPlayerDebug_OtherCmds.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// *************************************************************************************</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">// ! PluginDayzPlayerDebug_OtherCmds</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">// *************************************************************************************</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html">    5</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html">PluginDayzPlayerDebug_OtherCmds</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{   </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    <span class="comment">// widgets</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a39c403bf815d3bd50f1ea5e82bfb2bed">    8</a></span>    <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                              <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a39c403bf815d3bd50f1ea5e82bfb2bed">m_MainWnd</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#aec9579e6b77d1452253af41245c07700">   10</a></span>    XComboBoxWidget                     <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#aec9579e6b77d1452253af41245c07700">m_DeathTypeCB</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a2dd50d07bbea8206f579989fe1e0108b">   11</a></span>    EditBoxWidget                       <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a2dd50d07bbea8206f579989fe1e0108b">m_DeathDirectionEdit</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a391f4975a78f1573e1ec189543614d11">   12</a></span>    ButtonWidget                        <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a391f4975a78f1573e1ec189543614d11">m_DeathStartButton</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#aa12586677314b7d81af7d37afa762abf">   14</a></span>    XComboBoxWidget                     <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#aa12586677314b7d81af7d37afa762abf">m_HitTypeCB</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ac4e5a2476dd02a71ba6592e6890c053c">   15</a></span>    ButtonWidget                        <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ac4e5a2476dd02a71ba6592e6890c053c">m_HitStartButton</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a398cf55b5c205a30f31e3568eb0ab488">   17</a></span>    XComboBoxWidget                     <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a398cf55b5c205a30f31e3568eb0ab488">m_UnconTypeCB</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a767caa12871be11412ebe5ef4afab088">   18</a></span>    ButtonWidget                        <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a767caa12871be11412ebe5ef4afab088">m_UnconStartButton</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a0f19bb2b1fae24478bc56a6f82db1ea1">   19</a></span>    ButtonWidget                        <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a0f19bb2b1fae24478bc56a6f82db1ea1">m_UnconEndButton</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">// command handler properties</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ae286b11950a683f4e2866ec29e121206">   22</a></span>    <span class="keywordtype">bool</span>                                <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ae286b11950a683f4e2866ec29e121206">m_CH_DeathStart</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a2704da4948313f375624ecb9edd51dce">   23</a></span>    <span class="keywordtype">bool</span>                                <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a2704da4948313f375624ecb9edd51dce">m_CH_HitStart</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a9a6dd8b0a462ea2240cad97790149297">   24</a></span>    <span class="keywordtype">bool</span>                                <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a9a6dd8b0a462ea2240cad97790149297">m_CH_UnconStart</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a12f985863e4c936cef8e42d99b846fbf">   25</a></span>    <span class="keywordtype">bool</span>                                <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a12f985863e4c936cef8e42d99b846fbf">m_CH_UnconEnd</a>   = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="comment">//---------------------------------------------------</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="comment">// gui stuff</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a6201d2e6cf241ed39328be362e6f678b">   31</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a6201d2e6cf241ed39328be362e6f678b">PluginDayzPlayerDebug_OtherCmds</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> pMainWnd)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a39c403bf815d3bd50f1ea5e82bfb2bed">m_MainWnd</a> = pMainWnd;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a689c2a80c32f62a403f5f0aa3317d732">CreateModuleWidgets</a>();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ad7f60de2bb47df99fee5719168bab584">   38</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ad7f60de2bb47df99fee5719168bab584">~PluginDayzPlayerDebug_OtherCmds</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a0ab97ca172de1139d325d87b29db2d4d">DestroyModuleWidgets</a>();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a689c2a80c32f62a403f5f0aa3317d732">   44</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a689c2a80c32f62a403f5f0aa3317d732">CreateModuleWidgets</a>()</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#aec9579e6b77d1452253af41245c07700">m_DeathTypeCB</a>           = XComboBoxWidget.Cast( <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a39c403bf815d3bd50f1ea5e82bfb2bed">m_MainWnd</a>.FindAnyWidget(<span class="stringliteral">&quot;DeathTypeCB&quot;</span>) );</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a2dd50d07bbea8206f579989fe1e0108b">m_DeathDirectionEdit</a>    = EditBoxWidget.Cast( <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a39c403bf815d3bd50f1ea5e82bfb2bed">m_MainWnd</a>.FindAnyWidget(<span class="stringliteral">&quot;DeathDirectionEdit&quot;</span>) );</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a391f4975a78f1573e1ec189543614d11">m_DeathStartButton</a>      = ButtonWidget.Cast( <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a39c403bf815d3bd50f1ea5e82bfb2bed">m_MainWnd</a>.FindAnyWidget(<span class="stringliteral">&quot;DeathStartButton&quot;</span>) );</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#aa12586677314b7d81af7d37afa762abf">m_HitTypeCB</a>             = XComboBoxWidget.Cast( <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a39c403bf815d3bd50f1ea5e82bfb2bed">m_MainWnd</a>.FindAnyWidget(<span class="stringliteral">&quot;HitTypeCB&quot;</span>) );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ac4e5a2476dd02a71ba6592e6890c053c">m_HitStartButton</a>        = ButtonWidget.Cast( <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a39c403bf815d3bd50f1ea5e82bfb2bed">m_MainWnd</a>.FindAnyWidget(<span class="stringliteral">&quot;HitStartButton&quot;</span>) );</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a398cf55b5c205a30f31e3568eb0ab488">m_UnconTypeCB</a>           = XComboBoxWidget.Cast( <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a39c403bf815d3bd50f1ea5e82bfb2bed">m_MainWnd</a>.FindAnyWidget(<span class="stringliteral">&quot;UnconTypeCB&quot;</span>) );</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a767caa12871be11412ebe5ef4afab088">m_UnconStartButton</a>      = ButtonWidget.Cast( <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a39c403bf815d3bd50f1ea5e82bfb2bed">m_MainWnd</a>.FindAnyWidget(<span class="stringliteral">&quot;UnconStartButton&quot;</span>) );</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a0f19bb2b1fae24478bc56a6f82db1ea1">m_UnconEndButton</a>        = ButtonWidget.Cast( <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a39c403bf815d3bd50f1ea5e82bfb2bed">m_MainWnd</a>.FindAnyWidget(<span class="stringliteral">&quot;UnconEndButton&quot;</span>) );</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a0ab97ca172de1139d325d87b29db2d4d">   58</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a0ab97ca172de1139d325d87b29db2d4d">DestroyModuleWidgets</a>()</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    <span class="comment">//---------------------------------------------------</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="comment">// window ui clicks</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#aad5b22ed26050831f18f2dce6116711d">   66</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#aad5b22ed26050831f18f2dce6116711d">OnClick</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordflow">if</span>( w == <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a391f4975a78f1573e1ec189543614d11">m_DeathStartButton</a> )</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;PluginPlayerDebug: Death Start&quot;</span>);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ae286b11950a683f4e2866ec29e121206">m_CH_DeathStart</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>( w == <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ac4e5a2476dd02a71ba6592e6890c053c">m_HitStartButton</a> )</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;PluginPlayerDebug: Uncon Start&quot;</span>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a2704da4948313f375624ecb9edd51dce">m_CH_HitStart</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>( w == <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a767caa12871be11412ebe5ef4afab088">m_UnconStartButton</a> )</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;PluginPlayerDebug: Uncon Start&quot;</span>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a9a6dd8b0a462ea2240cad97790149297">m_CH_UnconStart</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>( w == <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a0f19bb2b1fae24478bc56a6f82db1ea1">m_UnconEndButton</a> )</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;PluginPlayerDebug: Uncon End&quot;</span>);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a12f985863e4c936cef8e42d99b846fbf">m_CH_UnconEnd</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="comment">//---------------------------------------------------</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <span class="comment">// Global handler to handle commands from player</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span> </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a3569a9cacd71f3dc55eeb7c41cafe66b">  100</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a3569a9cacd71f3dc55eeb7c41cafe66b">CommandHandler</a>()</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ae286b11950a683f4e2866ec29e121206">m_CH_DeathStart</a> )</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ad89a42f0d682d8df3a688d218f5c1b24">Death_Start</a>();</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ae286b11950a683f4e2866ec29e121206">m_CH_DeathStart</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a2704da4948313f375624ecb9edd51dce">m_CH_HitStart</a> )</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#adf6b46afcd0dbf14a311fcaec58b10e5">Hit_Start</a>();</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a2704da4948313f375624ecb9edd51dce">m_CH_HitStart</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a9a6dd8b0a462ea2240cad97790149297">m_CH_UnconStart</a> )</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#af4ceaf54b291abe31f189b2e50672b75">Uncon_Start</a>();</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a9a6dd8b0a462ea2240cad97790149297">m_CH_UnconStart</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a12f985863e4c936cef8e42d99b846fbf">m_CH_UnconEnd</a> )</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a77e17905777d6c0a4be71792a21b662c">Uncon_End</a>();</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a12f985863e4c936cef8e42d99b846fbf">m_CH_UnconEnd</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    <span class="comment">//---------------------------------------------------</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    <span class="comment">// Commands start functions</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ad89a42f0d682d8df3a688d218f5c1b24">  127</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ad89a42f0d682d8df3a688d218f5c1b24">Death_Start</a>()</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    {</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        DayZPlayer player = DayZPlayer.Cast( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a>() );</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">if</span>( !player )</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keywordtype">int</span> deathType = <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#aec9579e6b77d1452253af41245c07700">m_DeathTypeCB</a>.GetCurrentItem();</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <span class="keywordflow">if</span>( deathType &gt; 0 )</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            deathType += 9;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keywordtype">float</span> deathDirection = <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a2dd50d07bbea8206f579989fe1e0108b">m_DeathDirectionEdit</a>.GetText().ToInt();</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        player.StartCommand_Death(deathType, deathDirection, <a class="code hl_class" href="../../db/d26/class_human_command_death_callback.html">HumanCommandDeathCallback</a>);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#adf6b46afcd0dbf14a311fcaec58b10e5">  143</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#adf6b46afcd0dbf14a311fcaec58b10e5">Hit_Start</a>()</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    {</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        DayZPlayer player = DayZPlayer.Cast( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a>() );</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordflow">if</span>( !player )</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span> </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <span class="keywordtype">float</span> hitDirection = <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a2dd50d07bbea8206f579989fe1e0108b">m_DeathDirectionEdit</a>.GetText().ToInt();</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordtype">int</span> hitType = <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#aa12586677314b7d81af7d37afa762abf">m_HitTypeCB</a>.GetCurrentItem();</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">if</span>( hitType == 0 )</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            player.AddCommandModifier_Damage(0, hitDirection);</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        {</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>            player.StartCommand_Damage(0, hitDirection);</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    }</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span> </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#af4ceaf54b291abe31f189b2e50672b75">  161</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#af4ceaf54b291abe31f189b2e50672b75">Uncon_Start</a>()</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    {</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <a class="code hl_class" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a> player = <a class="code hl_class" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a>.Cast( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a>() );</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="keywordflow">if</span>( !player )</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <span class="keywordtype">int</span> type = <a class="code hl_variable" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a398cf55b5c205a30f31e3568eb0ab488">m_UnconTypeCB</a>.GetCurrentItem();</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        player.m_UnconsciousDebug = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        player.StartCommand_Unconscious(type);</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    }</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a77e17905777d6c0a4be71792a21b662c">  173</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a77e17905777d6c0a4be71792a21b662c">Uncon_End</a>()</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <a class="code hl_class" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a> player = <a class="code hl_class" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a>.Cast( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a>() );</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        <span class="keywordflow">if</span>( !player )</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        player.m_UnconsciousDebug = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        <a class="code hl_class" href="../../d4/da1/class_human_command_unconscious.html">HumanCommandUnconscious</a> hcu = player.GetCommand_Unconscious();</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        <span class="keywordflow">if</span>( hcu )</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>            hcu.<a class="code hl_function" href="../../d4/da1/class_human_command_unconscious.html#af93ae7513a6d07aaf76304a7b3d7b292">WakeUp</a>();</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    }</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>}</div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_modifier_base_8c_html_aaf6ee4d1f067be1038b7a662af6af1bf"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a></div><div class="ttdeci">PlayerBase GetPlayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00047">ModifierBase.c:47</a></div></div>
<div class="ttc" id="aclass_day_z_player_implement_html"><div class="ttname"><a href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dee/_man_base_8c_source.html#l00001">ManBase.c:2</a></div></div>
<div class="ttc" id="aclass_human_command_death_callback_html"><div class="ttname"><a href="../../db/d26/class_human_command_death_callback.html">HumanCommandDeathCallback</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00534">human.c:535</a></div></div>
<div class="ttc" id="aclass_human_command_unconscious_html"><div class="ttname"><a href="../../d4/da1/class_human_command_unconscious.html">HumanCommandUnconscious</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00555">human.c:556</a></div></div>
<div class="ttc" id="aclass_human_command_unconscious_html_af93ae7513a6d07aaf76304a7b3d7b292"><div class="ttname"><a href="../../d4/da1/class_human_command_unconscious.html#af93ae7513a6d07aaf76304a7b3d7b292">HumanCommandUnconscious::WakeUp</a></div><div class="ttdeci">proto native void WakeUp()</div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html">PluginDayzPlayerDebug_OtherCmds</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00005">PluginDayzPlayerDebug_OtherCmds.c:6</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a0ab97ca172de1139d325d87b29db2d4d"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a0ab97ca172de1139d325d87b29db2d4d">PluginDayzPlayerDebug_OtherCmds::DestroyModuleWidgets</a></div><div class="ttdeci">void DestroyModuleWidgets()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00058">PluginDayzPlayerDebug_OtherCmds.c:58</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a0f19bb2b1fae24478bc56a6f82db1ea1"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a0f19bb2b1fae24478bc56a6f82db1ea1">PluginDayzPlayerDebug_OtherCmds::m_UnconEndButton</a></div><div class="ttdeci">ButtonWidget m_UnconEndButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00019">PluginDayzPlayerDebug_OtherCmds.c:19</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a12f985863e4c936cef8e42d99b846fbf"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a12f985863e4c936cef8e42d99b846fbf">PluginDayzPlayerDebug_OtherCmds::m_CH_UnconEnd</a></div><div class="ttdeci">bool m_CH_UnconEnd</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00025">PluginDayzPlayerDebug_OtherCmds.c:25</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a2704da4948313f375624ecb9edd51dce"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a2704da4948313f375624ecb9edd51dce">PluginDayzPlayerDebug_OtherCmds::m_CH_HitStart</a></div><div class="ttdeci">bool m_CH_HitStart</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00023">PluginDayzPlayerDebug_OtherCmds.c:23</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a2dd50d07bbea8206f579989fe1e0108b"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a2dd50d07bbea8206f579989fe1e0108b">PluginDayzPlayerDebug_OtherCmds::m_DeathDirectionEdit</a></div><div class="ttdeci">EditBoxWidget m_DeathDirectionEdit</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00011">PluginDayzPlayerDebug_OtherCmds.c:11</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a3569a9cacd71f3dc55eeb7c41cafe66b"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a3569a9cacd71f3dc55eeb7c41cafe66b">PluginDayzPlayerDebug_OtherCmds::CommandHandler</a></div><div class="ttdeci">void CommandHandler()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00100">PluginDayzPlayerDebug_OtherCmds.c:100</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a391f4975a78f1573e1ec189543614d11"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a391f4975a78f1573e1ec189543614d11">PluginDayzPlayerDebug_OtherCmds::m_DeathStartButton</a></div><div class="ttdeci">ButtonWidget m_DeathStartButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00012">PluginDayzPlayerDebug_OtherCmds.c:12</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a398cf55b5c205a30f31e3568eb0ab488"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a398cf55b5c205a30f31e3568eb0ab488">PluginDayzPlayerDebug_OtherCmds::m_UnconTypeCB</a></div><div class="ttdeci">XComboBoxWidget m_UnconTypeCB</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00017">PluginDayzPlayerDebug_OtherCmds.c:17</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a39c403bf815d3bd50f1ea5e82bfb2bed"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a39c403bf815d3bd50f1ea5e82bfb2bed">PluginDayzPlayerDebug_OtherCmds::m_MainWnd</a></div><div class="ttdeci">Widget m_MainWnd</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00008">PluginDayzPlayerDebug_OtherCmds.c:8</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a6201d2e6cf241ed39328be362e6f678b"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a6201d2e6cf241ed39328be362e6f678b">PluginDayzPlayerDebug_OtherCmds::PluginDayzPlayerDebug_OtherCmds</a></div><div class="ttdeci">void PluginDayzPlayerDebug_OtherCmds(Widget pMainWnd)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00031">PluginDayzPlayerDebug_OtherCmds.c:31</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a689c2a80c32f62a403f5f0aa3317d732"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a689c2a80c32f62a403f5f0aa3317d732">PluginDayzPlayerDebug_OtherCmds::CreateModuleWidgets</a></div><div class="ttdeci">void CreateModuleWidgets()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00044">PluginDayzPlayerDebug_OtherCmds.c:44</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a767caa12871be11412ebe5ef4afab088"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a767caa12871be11412ebe5ef4afab088">PluginDayzPlayerDebug_OtherCmds::m_UnconStartButton</a></div><div class="ttdeci">ButtonWidget m_UnconStartButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00018">PluginDayzPlayerDebug_OtherCmds.c:18</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a77e17905777d6c0a4be71792a21b662c"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a77e17905777d6c0a4be71792a21b662c">PluginDayzPlayerDebug_OtherCmds::Uncon_End</a></div><div class="ttdeci">void Uncon_End()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00173">PluginDayzPlayerDebug_OtherCmds.c:173</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_a9a6dd8b0a462ea2240cad97790149297"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#a9a6dd8b0a462ea2240cad97790149297">PluginDayzPlayerDebug_OtherCmds::m_CH_UnconStart</a></div><div class="ttdeci">bool m_CH_UnconStart</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00024">PluginDayzPlayerDebug_OtherCmds.c:24</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_aa12586677314b7d81af7d37afa762abf"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#aa12586677314b7d81af7d37afa762abf">PluginDayzPlayerDebug_OtherCmds::m_HitTypeCB</a></div><div class="ttdeci">XComboBoxWidget m_HitTypeCB</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00014">PluginDayzPlayerDebug_OtherCmds.c:14</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_aad5b22ed26050831f18f2dce6116711d"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#aad5b22ed26050831f18f2dce6116711d">PluginDayzPlayerDebug_OtherCmds::OnClick</a></div><div class="ttdeci">bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdoc">buttons clicks</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00066">PluginDayzPlayerDebug_OtherCmds.c:66</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_ac4e5a2476dd02a71ba6592e6890c053c"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ac4e5a2476dd02a71ba6592e6890c053c">PluginDayzPlayerDebug_OtherCmds::m_HitStartButton</a></div><div class="ttdeci">ButtonWidget m_HitStartButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00015">PluginDayzPlayerDebug_OtherCmds.c:15</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_ad7f60de2bb47df99fee5719168bab584"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ad7f60de2bb47df99fee5719168bab584">PluginDayzPlayerDebug_OtherCmds::~PluginDayzPlayerDebug_OtherCmds</a></div><div class="ttdeci">void ~PluginDayzPlayerDebug_OtherCmds()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00038">PluginDayzPlayerDebug_OtherCmds.c:38</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_ad89a42f0d682d8df3a688d218f5c1b24"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ad89a42f0d682d8df3a688d218f5c1b24">PluginDayzPlayerDebug_OtherCmds::Death_Start</a></div><div class="ttdeci">void Death_Start()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00127">PluginDayzPlayerDebug_OtherCmds.c:127</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_adf6b46afcd0dbf14a311fcaec58b10e5"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#adf6b46afcd0dbf14a311fcaec58b10e5">PluginDayzPlayerDebug_OtherCmds::Hit_Start</a></div><div class="ttdeci">void Hit_Start()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00143">PluginDayzPlayerDebug_OtherCmds.c:143</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_ae286b11950a683f4e2866ec29e121206"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#ae286b11950a683f4e2866ec29e121206">PluginDayzPlayerDebug_OtherCmds::m_CH_DeathStart</a></div><div class="ttdeci">bool m_CH_DeathStart</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00022">PluginDayzPlayerDebug_OtherCmds.c:22</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_aec9579e6b77d1452253af41245c07700"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#aec9579e6b77d1452253af41245c07700">PluginDayzPlayerDebug_OtherCmds::m_DeathTypeCB</a></div><div class="ttdeci">XComboBoxWidget m_DeathTypeCB</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00010">PluginDayzPlayerDebug_OtherCmds.c:10</a></div></div>
<div class="ttc" id="aclass_plugin_dayz_player_debug___other_cmds_html_af4ceaf54b291abe31f189b2e50672b75"><div class="ttname"><a href="../../d0/dd0/class_plugin_dayz_player_debug___other_cmds.html#af4ceaf54b291abe31f189b2e50672b75">PluginDayzPlayerDebug_OtherCmds::Uncon_Start</a></div><div class="ttdeci">void Uncon_Start()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c_source.html#l00161">PluginDayzPlayerDebug_OtherCmds.c:161</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_2b66b8ed1afe82646c8af9c779a96cad.html">Plugins</a></li><li class="navelem"><a class="el" href="../../dir_bfbe43b663634ae31e97616eeb4b3740.html">PluginBase</a></li><li class="navelem"><a class="el" href="../../d0/dbe/_plugin_dayz_player_debug___other_cmds_8c.html">PluginDayzPlayerDebug_OtherCmds.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
